## NAME

v.db.select - Prints vector map attributes.

## KEYWORDS

vector, database, attribute table

## SYNOPSIS

v.db.select
v.db.select help
v.db.select [-rcv] map=name [layer=integer] [columns=name[,name,...]] [where=sql_query] [fs=character] [vs=character] [nv=string] [file=name] [--verbose] [--quiet]

### Flags:

-r
  Print minimal region extent of selected vector features instead of attributes
-c
  Do not include column names in output
-v
  Vertical output (instead of horizontal)
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

map=name
  Name of input vector map
layer=integer
  Layer number
  A single vector map can be connected to multiple database tables. This number determines which table to use.
  Default: 1
columns=name[,name,...]
  Name of attribute column(s)
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and inhab >= 10000
fs=character
  Field separator
  Output field separator
  Default: |
vs=character
  Field separator
  Output vertical record separator
nv=string
  Null value indicator
file=name
  Name for output file (if omitted or "-" output to stdout)

## DESCRIPTION

v.db.select prints attributes of a vector map from one or several user selected attribute table columns.

## EXAMPLES

Select and show entire table:

    v.db.select map=roads
    cat|label
    0|no data
    1|interstate
    2|primary highway, hard surface
    3|secondary highway, hard surface
    4|light-duty road, improved surface
    5|unimproved road

Select and show single column from table (multiple columns can be specified as comma separated list):

    v.db.select map=roads column=label
    label
    no data
    interstate
    primary highway, hard surface
    secondary highway, hard surface
    light-duty road, improved surface
    unimproved road

Print region extent of selected vector features:

    v.db.select -r map=roads where="label ~ 'highway'"
    n=4928063.398015
    s=4914089.153930
    w=589532.054964
    e=609527.210215

## SEE ALSO

db.select

## AUTHOR

Radim Blazek, ITC-Irst, Trento, Italy
Minimal region extent added by Martin Landa, FBK-irst (formerly ITC-irst), Trento, Italy (2008/08)

Last changed: $Date: 2011-11-08 10:42:51 +0100 (út, 08 XI 2011) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team